Inhalte

# Java-Startparameter

Mit diesem Dialog können Sie optionale Startparameter für die Java-Laufzeitumgebung (JRE) eingeben. Die in diesen Dialog festgelegten Einstellungen gelten für alle JREs, die Sie aufrufen.

So greifen Sie auf diesen Befehl zu:

Wählen Sie LibreOffice – Einstellungen Extras – Optionen… – LibreOffice – Erweitert.

## Java-Startparameter

Geben Sie JRE-Startparameter genau wie auf der Befehlszeile ein. Klicken Sie auf "Zuweisen", um den Parameter zur Liste verfügbarer Startparameter hinzuzufügen.

Verwenden Sie in Pfadnamen keine Escape- oder Anführungszeichen.

Damit der Systemparameter "myprop" beispielsweise auf einen Ordner zeigt, geben Sie den folgenden Parameter ein:

-Dmyprop=c:\Programme\java

Zum Aktivieren von Funktionen für das Debugging in JRE müssen Sie die folgenden Parameter eingeben:

-Xdebug

-Xrunjdwp:transport=dt_socket,server=y,address=8000

Die Änderungen werden nach einem Neustart von LibreOffice wirksam.

### Zugewiesene Startparameter

Listet die zugewiesenen JRE-Startparameter auf. Zum Entfernen eines Startparameters wählen Sie ihn aus und klicken auf Entfernen.

### Hinzufügen

Fügt den aktuellen JRE-Startparameter zur Liste hinzu.

### Bearbeiten

Öffnet einen Dialog, in dem ausgewählte Startparameter der JRE bearbeitet werden können.

### Entfernen

Löscht den ausgewählten JRE-Startparameter.